/* =============================
   view.css   
   ============================= */

/* view */
.article-view {
    position: relative;
}

/* article - header */
.article-view__header {
    padding-bottom: 1.2rem;
    border-bottom: 2px solid var(--stroke-primary);
}

.article-view__header--scrolled {
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    left: 50%;
    width: 760px;
    height: 77px;
    margin-left: -360px;
    padding: 0;
    background-color: var(--background-default);
    border: none;
    z-index: 999;
}

.article-view__header--scrolled .article-view__title {
    display: -webkit-box;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    max-height: 48px;
    margin: 0;
    font-size: 1.8rem;
    word-break: keep-all;
    overflow: hidden;
}

.article-view__header--scrolled .article-view__meta {
    display: none;
}

.article-view__header--scrolled .article-view__category {
    flex-shrink: 0;
    margin: 0 1rem 0 0;
    padding-right: .8rem;
    line-height: 1;
    border-right: 1px solid var(--stroke-vertical);
}

.article-view__header--scrolled .article-view__category .article-view__section:not(:first-child) {
    display: none;
}

.article-view__header--scrolled .article-view__category .article-view__section:not(:first-child)::before {
    display: none;
}

.article-view__category {
    display: flex;
    gap: 1.8rem;
    margin-bottom: 1.2rem;
    font-size: 1.5rem;
}

.article-view__section:not(:first-child) {
    position: relative;
    color: var(--text-primary)
}

.article-view__section:not(:first-child)::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 1px;
    height: auto;
    top: 5px;
    bottom: 5px;
    left: -9px;
    background-color: var(--stroke-vertical);
}

.article-view__title {
    margin-bottom: 2.8rem;
    font-size: 3.2rem;
}

.article-view__meta .article-view__reporter {
    font-size: 1.5rem;
    font-weight: 600;
}

.article-view__meta .article-view__info {
    display: flex;
    gap: 1.8rem;
    margin-top: .3rem;
    font-size: 1.3rem;
    color: var(--text-secondary);
}

.article-view__time {
    display: flex;
    gap: 1.8rem;
}

.article-view__meta-info {
    position: relative;
}

.article-view__meta-info::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 1px;
    height: auto;
    top: 5px;
    bottom: 5px;
    left: -9px;
    background-color: var(--stroke-vertical);
}

.btn-meta-toggle {
    padding: 0;
    cursor: text;
}

.btn-meta-toggle::after {
    display: none;
}

/* header - indicator */
.scroll-indicator {
    position: fixed;
    left: 0;
    right: 0;
    height: 3px;
}

.site-header--sub .scroll-indicator {
    position: fixed;
    top: var(--header-height);
    margin-top: -1px;
}

.scroll-indicator__bar {
    display: block;
    height: 100%;
    width: 100%;
    transform: scaleX(0);
    background: var(--stroke-impact);
    transition: all 0.3s;
}

/* article - body */
.article-view__body {
    font-size: 1.8rem;
    line-height: 1.66;
}

.article-view__body > :first-child {
    margin-top: 2.8rem;
}

.article-view__body p[data-order] {
    font-size: 1em;
}

.article-view__body > p + p {
    margin-top: 4rem;
}

.article-view__body figure {
    font-size: inherit;
}

/* article - body - font-xs */
.article-view__body.size-xs {
    font-size: 1.4rem;
}

/* article - body - font-sm */
.article-view__body.size-sm {
    font-size: 1.6rem;
}

/* article - body - font-md */
.article-view__body.size-md {
    font-size: 1.8rem;
}

/* article - body - font-lg */
.article-view__body.size-lg {
    font-size: 2.0rem;
}

/* article - body - font-xl */
.article-view__body.size-xl {
    font-size: 2.2rem;
}

/* article - stock */
.article-view__related {
    display: flex;
    align-items: center;
    gap: 1.2rem;
    margin: 2.8rem 0;
}

.article-view__related-label {
    flex-shrink: 0;
    padding: .4rem 1rem .3rem;
    font-size: 0.722em;
    font-weight: 500;
    color: var(--text-inverted);
    background: var(--background-black);
    border-radius: 4px;
}

.article-view__related-list {
    display: flex;
    flex-wrap: wrap;
    font-weight: 500;
    line-height: 1.4;
}

.article-view__related-item {
    font-size: 0.833em;
    color: #2244d7;
    white-space: nowrap;
}

.article-view__related-item:hover {
    text-decoration: underline;
}

.article-view__related-item::after {
    content: ",";
    margin-right: 4px;
}

.article-view__related-item:last-child::after {
    content: "";
}

/* article - summary */
.article-view__summary {
    position: relative;
    margin: 2.8rem 0;
    padding-left: 2rem;
    font-size: 0.944em;
    line-height: 1.66;
    font-weight: 600;
}

.article-view__summary::before {
    content: "";
    display: block;
    position: absolute;
    top: 3px;
    bottom: 2px;
    left: 0;
    width: 2px;
    background-color: var(--stroke-primary);
}

/* article - image */
.article-view__figure {
    display: block;
    width: max-content;
    max-width: 100%;
    margin: 4rem auto;
    text-align: left;
}

.article-view__figure img {
    display: block;
    height: auto;
    max-width: 100%;
}

.article-view__figure .article-view__caption {
    display: block;
    padding-top: 1rem;
    font-size: 0.778em;
    line-height: 1.4;
    color: var(--text-secondary);
}

/* article - tags */
.article-view__tags {
    display: flex;
    flex-wrap: wrap;
    gap: .8rem;
    margin: 3.8rem 0 2.8rem;
}

.article-view__tags .article-view__tag {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 28px;
    padding: 0 1.4rem;
    font-size: 0.778em;
    font-weight: 500;
    line-height: 1;
    color: var(--text-inverted);
    background: var(--background-black);
    border-radius: 14px;
}

/* article - reporter */
.reporter  {
    padding-bottom: 30px;
    overflow: hidden;
}
.profile-list:has(.profile-list__item ~ .profile-list__item) {
    display: flex;
}
.profile-list:has(.profile-list__item ~ .profile-list__item) .profile-list__item {
    width: 100%
}
.profile-list:has(.profile-list__item ~ .profile-list__item) .profile-card__thumb {
    width: 55px;
    height: 55px;
}
.profile-list:has(.profile-list__item ~ .profile-list__item) .related-news__title {
    font-size: 1.4rem;
}
.article-view__reporter {
    margin: 2.8rem 0 3.8rem;
}
.swiper-pagination {
    top: unset !important;
    bottom: 0 !important;
}

/* article - copyright */
.article-view_copyright {
    margin: 3.6rem 0;
    font-size: 0.889em;
    color: var(--text-secondary);
    word-break: keep-all;
}

/* view bottom - hotclick */
.view-bottom {
    margin-top: 7rem;
}

.view-bottom--hotclick .article-list--horizontal {
    display: grid;
    grid-template-columns: repeat(6, minmax(0, 1fr));
    gap: 2.8rem 1.6rem;
}
.view-bottom--hotclick .article-list__item:nth-child(1),
.view-bottom--hotclick .article-list__item:nth-child(2) {
    grid-column: span 3;
}
.view-bottom--hotclick .article-list__item:nth-child(n+3) {
    grid-column: span 2;
}
.view-bottom--hotclick .article-list__item:nth-child(n+3) .article-list__title {
    font-size: 1.6rem;
}

/* view bottom - news stand */
.newsstand {
    display: grid;
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
    gap: 24px;
}

.newsstand__col .article-list__item:first-child {
    margin-bottom: 1.8rem;
}

.newsstand__col .article-list__item:first-child .article-list__link {
    display: block;
}

.newsstand__col .article-list__item:first-child .article-list__thumb {
    aspect-ratio: 16 / 10;
    width: auto;
    height: auto;
}

.newsstand__col .article-list__item:first-child .article-list__title {
    margin-top: .8rem;
    font-size: 1.8rem;
}

/* aside tool */
.article-side-tools {
    position: absolute;
    top: 150px;
    left: -141px;
    width: 64px;
    padding: 2.4rem 0;
    border: 1px solid var(--stroke-separator);
    border-radius: 32px;
    z-index: 100;
}

.article-side-tools.is-fixed {
    position: fixed;
    left: calc(50% - 507px);
}

.logo-fn__scrolled {
    display: none;
    width: 32px;
    height: 32px;
    margin: 0;
    background: var(--svg-symbol-fn) no-repeat 0 0 / contain;
}

.article-side-tools.is-bottom {
    position: absolute;
    bottom: 0;
}

.article-side-tools__btn {
    position: relative;
    width: 96%;
    padding: .3rem 0;
    font-size: 12px;
    font-weight: 500;
    color: var(--text-description);
    border-radius: 4px;
}

.article-side-tools__btn::before {
    content: "";
    display: block;
    width: 32px;
    height: 32px;
    margin: 0 auto 4px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 24px 24px;
}

.article-side-tools__btn.is-active {
    font-weight: 600;
    color: var(--text-primary);
    background-color: var(--background-dark);
}

.article-side-tools__list>li {
    display: block;
    position: relative;
    margin: 0 .2rem;
    text-align: center;
}

.article-side-tools__list>li:not(:first-child) {
    margin-top: 1.2rem;
}

.article-side-tools__list>li.border-top {
    padding-top: 1.2rem;
}

.article-side-tools__list>li.border-top::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 10px;
    right: 10px;
    height: 1px;
    background-color: var(--stroke-separator);
}

/* icon tool */
.article-side-tools__share::before {
    background-image: var(--svg-ico-tool-share-20);
}

.article-side-tools__summary::before {
    background-image: var(--svg-ico-tool-summary-20);
}

.article-side-tools__font::before {
    background-image: var(--svg-ico-tool-font-20);
}

.article-side-tools__print::before {
    background-image: var(--svg-ico-tool-print-20);
}

.article-side-tools__naver::before {
    background-image: var(--svg-ico-tool-naver-20);
}

.article-side-tools__daum::before {
    background-image: var(--svg-ico-tool-daum-20);
}

/* tool layer */
.tool-layer {
    display: none;
    position: absolute;
    top: 0;
    left: 80px;
    z-index: 20;
}

.tool-layer.is-active {
    display: block;
}

.tool-layer__inner {
    position: relative;
    width: auto;
    padding: 1.4rem 2rem 1.8rem;
    background: #fff;
    border: 1px solid var(--stroke-separator);
    border-radius: 8px;
}

.tool-layer__inner::before {
    content: "";
    position: absolute;
    top: 20px;
    left: -15px;
    width: 0;
    height: 0;
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
    border-right: 16px solid #fff;
    z-index: 1;
}

.tool-layer__inner::after {
    content: "";
    position: absolute;
    top: 19px;
    left: -16px;
    width: 0;
    height: 0;
    border-top: 9px solid transparent;
    border-bottom: 9px solid transparent;
    border-right: 17px solid #e0e0e0;
}

/* tool layer -- share, -- font */
.tool-layer__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 -.4rem 1.5rem;
}

.tool-layer__title {
    font-size: 1.6rem;
    font-weight: 600;
    color: var(--text-primary);
}

.tool-layer__close {
    position: relative;
    width: 24px;
    height: 24px;
    border: 0;
    background: none;
    padding: 0;
    cursor: pointer;
}

.tool-layer__close::before {
    content: "";
    position: absolute;
    inset: 0;
    margin: auto;
    width: 12px;
    height: 12px;
    background-image: var(--svg-ico-close-12);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 12px 12px;
}

.tool-layer__list {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .8rem;
}

.tool-layer__item {
    display: block;
    width: 34px;
    height: 34px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border-radius: 50%;
}

.tool-layer__item--font {
    background-color: var(--background-default);
    background-image: var(--svg-ico-tool-font-gray-20);
    border: 1px solid var(--stroke-separator);
    cursor: pointer;
}

.tool-layer__item--font.is-active {
    background-color: var(--background-impact);
    background-image: var(--svg-ico-tool-font-white-20);
    color: #fff;
    border: none;
}

/* tool layer -- share - icon */
.tool-layer__item--kakao {
    background-image: var(--ico-share-kakao);
}

.tool-layer__item--facebook {
    background-image: var(--ico-share-facebook);
}

.tool-layer__item--twitter {
    background-image: var(--ico-share-twitter);
}

.tool-layer__item--naver {
    background-image: var(--ico-share-naver);
}

.tool-layer__item--url {
    background-image: var(--ico-share-url);
}

/* tool layer -- font - icon */
.tool-layer__item--xs {
    background-size: 35%;
}

.tool-layer__item--sm {
    background-size: 43.75%;
}

.tool-layer__item--md {
    background-size: 52.5%;
}

.tool-layer__item--lg {
    background-size: 61.25%;
}

.tool-layer__item--xl {
    background-size: 70%;
}

/* layer popup */
.layer__content-title {
    font-size: 1.8rem;
    margin-bottom: 1.8rem;
}

.layer__content-desc {
    max-height: 300px;
    font-size: 1.6rem;
    color: var(--text-secondary);
    overflow-y: auto;
}
.layer__footer {
    margin: 0 2.8rem;
    padding-top: 1.8rem;
    border-top: 1px solid var(--stroke-separator);
}

.layer__footer .layer__notice {
    line-height: 1.4;
    color: var(--text-description)
}

/* print page */
.logo-print {
    display: none;
    padding: 0 0 30px;
    text-align: center;
}
.logo-print img  {
    width: 200px;
    height: 16px;
}
.sub--print .site-header--sub {
    position: relative;
    inset: unset;
}
.sub--print .site-header__inner-ct {
    justify-content: center;
    height: 60px;
    max-width: 100%;
}
.sub--print .site-header__inner-ct::before {
    width: 100%;
}
.sub--print .page--view {
    margin-top: 0;
    padding: 3.6rem 0 10rem !important;
}
.sub--print .page__layout--sub {
    grid-template-columns: minmax(0, 1fr);
}
.sub--print .page__main {
    max-width: 680px !important;
}
.sub--print .article-view__title {
    font-size: 3.2rem;
}
.sub--print .article-view__figure {
    max-width: 580px;
}

.footer-print {
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: var(--background-default);
    border-top: 1px solid var(--stroke-separator);
    -webkit-box-shadow: 0px -2px 6px 0 rgba(0, 0, 0, .1);
    box-shadow: 0px -2px 6px 0 rgba(0, 0, 0, .1);
}
.footer-print__inner {
    padding: 25px 20px;
}
@media (max-width: 1280px) {
    :root:has(.sub--print) {
        font-size: 62.5% !important;
    }
    .article-side-tools.is-fixed {
        left: calc(50% - 598px);
    }
}
@media (max-width: 1024px) {
    .sub--print .article-view__title {
        font-size: 3.2rem;
    }
    .sub--print .article-view__time {
        display: flex !important;
    }
    .sub--print .article-view__meta-info[hidden] {
        display: block !important;
    }
    .sub--print .article-view__info .btn-meta-toggle::after {
        content: none !important;
    }
}
@media print {
    .logo-print {
        display: block !important;
    }
    .sub--print .page--view {
        padding: 0 !important;
    }
    .site-header, .footer-print {
        display: none !important;
    }
    .sub--print .article-view__related-label {
        -webkit-print-color-adjust: exact; /* 크롬, 사파리, 엣지 등 */
        print-color-adjust: exact; /* 표준  */
        color: #ffffff !important;
        background: #111111 !important;
    }
}


@media (max-width: 1280px) {
    .article-view__header--scrolled {
        width: 670px;
        margin-left: -308px;
    }
}

@media (max-width: 1024px) {
    .article-side-tools,
    .article-view__header--scrolled {
        display: none;
    }
    .article-side-tools {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        height: 54px;
        background: var(--background-default);
        z-index: 1000;
        border-radius: unset;
    }

    .article-side-tools.is-fixed {
        display: flex;
        align-items: center;
        top: 0 !important;
        left: 0;
        width: auto;
        border: none;
    }

    .article-side-tools__nav {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        max-width: 768px;
        margin: 0 auto;
        padding: 0 20px;
    }

    .logo-fn__scrolled {
        display: block;
    }

    .article-side-tools.is-fixed .article-side-tools__list {
        display: flex;
        gap: .4rem;
        margin-right: -8px;
    }

    .article-side-tools.is-fixed .article-side-tools__list > li {
        margin: 0;
        padding: 0;
    }
    .article-side-tools.is-fixed .article-side-tools__list > li:nth-child(n+4) {
        display: none;
    }
    .article-side-tools.is-fixed .article-side-tools__list > li.border-top::before {
        display: none;
    }
    .article-side-tools__btn {
        padding: 0;
        font-size: 0;
    }
    .article-side-tools__btn::before {
        width: 40px;
        height: 40px;
        margin: 0 auto;
        background-size: 22px 22px;
    }

    .tool-layer {
        top: 60px;
        left: unset;
        right: 0;
    }
    .tool-layer__inner::before {
        top: -16px;
        right: 11px;
        left: unset;
        border-top: unset;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
        border-bottom: 16px solid #fff;
    }
    .tool-layer__inner::after {
        top: -26px;
        right: 10px;
        left: unset;
        border-left: 9px solid transparent;
        border-right: 9px solid transparent;
        border-bottom: 17px solid #e0e0e0;
    }
    .tool-layer__list {
        gap: 1rem;
    }
    .tool-layer__item {
        width: 38px;
        height: 38px;
    }
    .tool-layer:has(.tool-layer__item--url) { right: -50px; }
    .tool-layer:has(.tool-layer__item--url) .tool-layer__inner::before { right: 61px; }
    .tool-layer:has(.tool-layer__item--url) .tool-layer__inner::after { right: 60px; }
    .layer__footer {
        margin: 0 2rem;
    }
    .article-view__category {
        font-size: 1.4rem;
    }
    .article-view__title {
        font-size: 2.4rem;
    }
    .article-view__meta .article-view__info {
        align-items: flex-start;
    }
    .article-view__time {
        display: block;
    }
    .article-view__info .btn-meta-toggle {
        display: flex;
        gap: 6px;
        align-items: center;
        cursor: pointer;
    }
    .article-view__info .btn-meta-toggle::after {
        display: block;
        position: unset;
    }
    .article-view__info .btn-meta-toggle.is-active::after {
        transform: rotate(180deg);
    }
    .article-view__meta-info[hidden] {
        display: none;
    }
    .article-view__figure {
        margin: 3.8rem auto;
    }
    .view-bottom {
        margin-top: 3.6rem;
    }
    .reporter {
        overflow: hidden;
        margin: 2.8rem -20px;
        padding-left: 20px;
        padding-right: 20px;
    }
    .profile-list:has(.profile-list__item ~ .profile-list__item) {
        flex-wrap: unset;
        gap: unset;
        overflow: visible;
    }
    .profile-list:has(.profile-list__item ~ .profile-list__item) .profile-list__item {
        width: 84%;
    }
    .profile-list:has(.profile-list__item ~ .profile-list__item) .related-news__title {
        font-size: 1.5rem;
    }
    .view-bottom--hotclick .article-list--horizontal {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        gap: 0 1rem;
    }
    .view-bottom--hotclick .article-list__item:nth-child(1),
    .view-bottom--hotclick .article-list__item:nth-child(2) {
        grid-column: unset;
    }
    .view-bottom--hotclick .article-list__item:nth-child(n+3) {
        grid-column: unset;
    }
    .view-bottom--hotclick .article-list__item:not(:first-child) {
        margin-top: 1.4rem;
        padding-top: 1.4rem;
        border-top: 1px solid var(--stroke-separator);
    }
    .view-bottom--hotclick .article-list__item .article-list__link {
        display: flex;
        gap: 1.6rem;
    }
    .view-bottom--hotclick .article-list__item .article-list__thumb {
        flex-shrink: 0;
        width: 114px;
        border-radius: 4px;
    }
    .view-bottom--hotclick .article-list--horizontal .article-list__body {
        margin-top: .4rem;
    }
    .newsstand {
        gap: 10px;
    }
    .newsstand__col .article-list__item .article-list__link {
        display: block;
    }
    .newsstand__col .article-list__item:first-child {
        margin: 0;
    }
    .newsstand__col .article-list__item {
        margin-top: 1.6rem;
        padding-top: 0;
        border: none;
    }
    .newsstand__col .article-list__item .article-list__thumb {
        aspect-ratio: 16 / 10;
        width: auto;
        height: auto;
    }
    .newsstand__col .article-list__item:first-child .article-list__title {
        font-size: 1.6rem;
        line-height: 1.36;
    }
    .newsstand__col .article-list__item .article-list__title {
        line-height: 1.36;
    }

}